// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.CreateArticleRequest}
 */
public  final class CreateArticleRequest extends
    com.google.protobuf.GeneratedMessageLite<
        CreateArticleRequest, CreateArticleRequest.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.CreateArticleRequest)
    CreateArticleRequestOrBuilder {
  private CreateArticleRequest() {
    name_ = "";
    paragraphs_ = com.google.protobuf.GeneratedMessageLite.emptyProtobufList();
  }
  public static final int NAME_FIELD_NUMBER = 1;
  private java.lang.String name_;
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @return The name.
   */
  @java.lang.Override
  public java.lang.String getName() {
    return name_;
  }
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @return The bytes for name.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getNameBytes() {
    return com.google.protobuf.ByteString.copyFromUtf8(name_);
  }
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @param value The name to set.
   */
  private void setName(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  
    name_ = value;
  }
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   */
  private void clearName() {
    
    name_ = getDefaultInstance().getName();
  }
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @param value The bytes for name to set.
   */
  private void setNameBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    name_ = value.toStringUtf8();
    
  }

  public static final int PARAGRAPHS_FIELD_NUMBER = 2;
  private com.google.protobuf.Internal.ProtobufList<java.lang.String> paragraphs_;
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @return A list containing the paragraphs.
   */
  @java.lang.Override
  public java.util.List<java.lang.String> getParagraphsList() {
    return paragraphs_;
  }
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @return The count of paragraphs.
   */
  @java.lang.Override
  public int getParagraphsCount() {
    return paragraphs_.size();
  }
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @param index The index of the element to return.
   * @return The paragraphs at the given index.
   */
  @java.lang.Override
  public java.lang.String getParagraphs(int index) {
    return paragraphs_.get(index);
  }
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @param index The index of the value to return.
   * @return The bytes of the paragraphs at the given index.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getParagraphsBytes(int index) {
    return com.google.protobuf.ByteString.copyFromUtf8(
        paragraphs_.get(index));
  }
  private void ensureParagraphsIsMutable() {
    com.google.protobuf.Internal.ProtobufList<java.lang.String> tmp =
        paragraphs_;  if (!tmp.isModifiable()) {
      paragraphs_ =
          com.google.protobuf.GeneratedMessageLite.mutableCopy(tmp);
     }
  }
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @param index The index to set the value at.
   * @param value The paragraphs to set.
   */
  private void setParagraphs(
      int index, java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  ensureParagraphsIsMutable();
    paragraphs_.set(index, value);
  }
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @param value The paragraphs to add.
   */
  private void addParagraphs(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  ensureParagraphsIsMutable();
    paragraphs_.add(value);
  }
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @param values The paragraphs to add.
   */
  private void addAllParagraphs(
      java.lang.Iterable<java.lang.String> values) {
    ensureParagraphsIsMutable();
    com.google.protobuf.AbstractMessageLite.addAll(
        values, paragraphs_);
  }
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   */
  private void clearParagraphs() {
    paragraphs_ = com.google.protobuf.GeneratedMessageLite.emptyProtobufList();
  }
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @param value The bytes of the paragraphs to add.
   */
  private void addParagraphsBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    ensureParagraphsIsMutable();
    paragraphs_.add(value.toStringUtf8());
  }

  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.CreateArticleRequest prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.CreateArticleRequest}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.CreateArticleRequest, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.CreateArticleRequest)
      gg.dsepractice.chinese.v1alpha1.CreateArticleRequestOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.CreateArticleRequest.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @return The name.
     */
    @java.lang.Override
    public java.lang.String getName() {
      return instance.getName();
    }
    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @return The bytes for name.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getNameBytes() {
      return instance.getNameBytes();
    }
    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @param value The name to set.
     * @return This builder for chaining.
     */
    public Builder setName(
        java.lang.String value) {
      copyOnWrite();
      instance.setName(value);
      return this;
    }
    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @return This builder for chaining.
     */
    public Builder clearName() {
      copyOnWrite();
      instance.clearName();
      return this;
    }
    /**
     * <code>string name = 1 [json_name = "name"];</code>
     * @param value The bytes for name to set.
     * @return This builder for chaining.
     */
    public Builder setNameBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.setNameBytes(value);
      return this;
    }

    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @return A list containing the paragraphs.
     */
    @java.lang.Override
    public java.util.List<java.lang.String>
        getParagraphsList() {
      return java.util.Collections.unmodifiableList(
          instance.getParagraphsList());
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @return The count of paragraphs.
     */
    @java.lang.Override
    public int getParagraphsCount() {
      return instance.getParagraphsCount();
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param index The index of the element to return.
     * @return The paragraphs at the given index.
     */
    @java.lang.Override
    public java.lang.String getParagraphs(int index) {
      return instance.getParagraphs(index);
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param index The index of the value to return.
     * @return The bytes of the paragraphs at the given index.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getParagraphsBytes(int index) {
      return instance.getParagraphsBytes(index);
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param index The index to set the value at.
     * @param value The paragraphs to set.
     * @return This builder for chaining.
     */
    public Builder setParagraphs(
        int index, java.lang.String value) {
      copyOnWrite();
      instance.setParagraphs(index, value);
      return this;
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param value The paragraphs to add.
     * @return This builder for chaining.
     */
    public Builder addParagraphs(
        java.lang.String value) {
      copyOnWrite();
      instance.addParagraphs(value);
      return this;
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param values The paragraphs to add.
     * @return This builder for chaining.
     */
    public Builder addAllParagraphs(
        java.lang.Iterable<java.lang.String> values) {
      copyOnWrite();
      instance.addAllParagraphs(values);
      return this;
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @return This builder for chaining.
     */
    public Builder clearParagraphs() {
      copyOnWrite();
      instance.clearParagraphs();
      return this;
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param value The bytes of the paragraphs to add.
     * @return This builder for chaining.
     */
    public Builder addParagraphsBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.addParagraphsBytes(value);
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.CreateArticleRequest)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.CreateArticleRequest();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "name_",
            "paragraphs_",
          };
          java.lang.String info =
              "\u0000\u0002\u0000\u0000\u0001\u0002\u0002\u0000\u0001\u0000\u0001\u0208\u0002\u021a" +
              "";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.CreateArticleRequest> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.CreateArticleRequest.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.CreateArticleRequest>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.CreateArticleRequest)
  private static final gg.dsepractice.chinese.v1alpha1.CreateArticleRequest DEFAULT_INSTANCE;
  static {
    CreateArticleRequest defaultInstance = new CreateArticleRequest();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      CreateArticleRequest.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.CreateArticleRequest getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<CreateArticleRequest> PARSER;

  public static com.google.protobuf.Parser<CreateArticleRequest> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

